Bug 1411404 (CVE-2017-2579) - CVE-2017-2579 netpbm: Out-of-bounds read in expandCodeOntoStack()
Summary: CVE-2017-2579 netpbm: Out-of-bounds read in expandCodeOntoStack()
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-2579
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1411410
TreeView+ depends on / blocked
 
Reported: 2017-01-09 16:11 UTC by Andrej Nemec
Modified: 2021-02-17 02:48 UTC (History)
3 users (show)

Fixed In Version: netpbm 10.61
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 06:56:19 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-09 16:11:48 UTC
An out-of-bounds read vulnerability was found in netpbm. The expandCodeOntoStack() function has an insufficient code value check, so that a maliciously crafted file could cause the application to crash or possibly allows code execution.

Comment 1 Andrej Nemec 2017-01-09 16:11:54 UTC
Acknowledgments:

Name: chunibalon (VARAS@IIE)

Comment 2 Andrej Nemec 2017-02-06 08:11:41 UTC
Public via:

http://seclists.org/oss-sec/2017/q1/317


Note You need to log in before you can comment on or make changes to this bug.